<template>
  <CSidebar
    :minimize="minimize"
    unfoldable
    :show="show"
    @update:show="(value) => $store.commit('set', ['sidebarShow', value])"
  >
    <CSidebarBrand to="/">
    </CSidebarBrand>
    <CRenderFunction flat :contentToRender="$options.nav"/>
<!--    <CSidebarMinimizer-->
<!--      class="c-d-md-down-none"-->
<!--      @click.native="$store.commit('toggle', 'sidebarMinimize')"-->
<!--    />-->
  </CSidebar>
</template>

<script>
import nav from './_nav'
export default {
  name: 'TheSidebar',
  nav,
    watch: {
      'show': {
          handler: function(value) {
              this.setOffset(value)
          },
          deep: true
      }
    },
    mounted() {
        this.setOffset(this.show)
    },
  computed: {
    show () {
      return this.$store.state.coreUI.sidebarShow
    },
    minimize () {
      return this.$store.state.coreUI.sidebarMinimize
    }
  },
    methods: {
      setOffset(value) {
          const offset = value ? `128px` : 0
          document.documentElement.style.setProperty('--sidebar-offset', offset);
      }
    }
}
</script>
